EDIT - task #9594

Use MediaSpecimen as input for MediaSpecimenGeneralDetailElement

04/29/2021 04:19 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

It does not make sense to use DerivedUnitFacade here as the specific type is known. Also it the facade creates problems as it injects
the DerivedUnitFacadeCacheStrategy into the specimen so the new MediaSpecimenDefaultCacheStrategy can not really be used.

Related issues:

Related to EDIT - feature request #5573: Cache Strategy for Media Specimen re...
Related to EDIT - feature request #7612: CacheStrategy for MediaSpecimens
Related to EDIT - task #9595: Use DerivedUnit or DnaSample for DnaSampleGener...
Related to EDIT - bug #9609: Use DerivedUnit or FieldUnit for DetailsView of ...

Closed
Duplicate
Closed
New

Associated revisions

Revision d4b9ef81 - 04/29/2021 04:25 PM - Andreas Miiller

ref #9594 use MediaSpecimen as base unit for MediaSpecimenGeneralDetailElement

Revision 0d672864 - 04/29/2021 04:50 PM - Andreas Miiller

ref #9594 use MediaSpecimen as base unit for MediaSpecimenGeneralDetailElement (cont.)

Revision 1cd6de7e - 04/29/2021 05:00 PM - Andreas Miiller
ref #9594 | ref #5573, ref #7612 use MediaSpecimenCacheStrategy in DerivateLabelProvider

Revision 9201d8aa - 05/05/2021 03:15 PM - Katja Luther

cleanup, fix field unit in details views

History

#1 - 04/29/2021 04:19 PM - Andreas Miiller
- Related to feature request #5573: Cache Strategy for Media Specimen required added

#2 - 04/29/2021 04:20 PM - Andreas Miiller
- Related to feature request #7612: CacheStrategy for MediaSpecimens added

#3 - 04/29/2021 04:25 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 50

please review

#4 - 04/29/2021 04:26 PM - Andreas Miller

we could do something similar for DnaSample

#5 - 04/29/2021 04:34 PM - Andreas Miller

Note: the implementation in specimen list editor leads to a message that the specimen can not be edited in details view. This is wanted as in the list
editor always the full hierarchy should be editable including field unit data. This was not possible in the old implementation but the same view format

appeared as in the specimen tree editor which is unexpected behavior.
#6 - 04/29/2021 09:57 PM - Andreas Miiller

in DetailsViewE4.setlnput() there is the following code:

if (input instanceof MediaSpecimen && ! (this.activePart.getClass().getSimpleName ().equals ("BulkEditorE4"))) {

This should better be "... this.activePart instanceof BulkEditorE4 " but the bulk editor class was not available here. Can this somehow be adapted to
make BulkEditorE4 availble. | did not check this.

#7 - 04/30/2021 07:06 AM - Andreas Miiller
- Related to task #9595: Use DerivedUnit or DnaSample for DnaSampleGeneralDetailElement added

#8 - 05/05/2021 11:29 AM - Katja Luther

Andreas Muller wrote:
in DetailsViewE4.setlnput() there is the following code:

if (input instanceof MediaSpecimen && ! (this.activePart.getClass().getSimpleName ().equals ("BulkEditorE4"))
) {

This should better be "... this.activePart instanceof BulkEditorE4 " but the bulk editor class was not available here. Can this somehow be adapted
to make BulkEditorE4 availble. | did not check this.

This can be done by creating and using an interface. | will do this.

#9 - 05/06/2021 08:59 AM - Katja Luther
- Related to bug #9609: Use DerivedUnit or FieldUnit for DetailsView of tree editor added

#10 - 05/07/2021 12:09 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

Implemented the interface and reviewed the mediaspecimen details view. This worked as expected, so we can close this ticket.

#11 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
